<CsoundSynthesizer>

<CsOptions>
-W -o Amstd_Buzz.wav 
</CsOptions>

<CsScore>
f5 0 8193 11 1 1   ; single cosine(!) wave

;;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	2 	3277 	 	46.249303 	
i1 	0.5 	2 	3277 	 	92.498606 	
i1 	1	2 	3277 	 	138.747909 	
i1 	1.5 	2 	3277 	 	184.997211 	
i1 	2 	2 	3277 	 	231.246514 	
i1 	2.5 	2 	3277 	 	277.495817 	
i1 	3	2 	3277 	 	323.74512 	
i1 	3.5 	2 	3277 	 	369.994423 	
i1 	4 	2 	3277 	 	416.243726 	
i1 	4.5 	2 	3277 	 	462.493028 	
i1 	5 	2 	3277 	 	508.742331 	
i1 	5.5 	2 	3277 	 	554.991634 	
i1 	6 	2 	3277 	 	601.240937 	
i1 	6.5 	1.5 	3277 	 	647.49024 	
i1 	7 	1 	3277 	 	693.739543 	
i1 	7.5 	0.5 	3277 	 	739.988845 	
;;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;;;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;
</CsScore>

<CsInstrumentToPlay>
AMP CPS
</CsInstrumentToPlay>

<CsInstruments>
;
; ACCCI:        43_21_1.ORC
; timbre:       various controlled noise spectra
; synthesis:    (g)buzz(43)
;               kratio envelope(21)
;               LINEN envelope(1)
; coded:        jpg 10/93
;
instr 1
idur  = p3
iamp  = p4
ifqc  = p5
inh=int(sr/2/ifqc)
ilh   = 1
ifn   = 5   ; stored cosine function

   aenv    linen   iamp, .2, idur, .2                    ; amp envelope
   kratio  linseg  1, idur/2, 0, idur/4, 0.8, idur/4, 0.6; kratio envelope

   asrc    gbuzz   aenv,ifqc,inh,ilh,kratio,ifn
   out         asrc
endin
</CsInstruments>

</CsoundSynthesizer>
