<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsScore>

f1 0 16384 3 -1 1 0 -1 0 0 0 1 ;  x^5 - x from -1  to 1

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	1 3000 	 	220 	 	10 	 	50 	
i1	1 	1 3000 	 	330 	 	10 	 	50 	
i1	2 	1 3000 	 	440 	 	10 	 	50 	
i1	3 	1 3000 	 	550 	 	10 	 	50 	
i1	4 	1 3000 	 	660 	 	10 	 	50 	
i1	5 	1 3000 	 	770 	 	10 	 	50 	
i1	6 	1 3000 	 	880 	 	10 	 	50 	

</CsScore>
<CsDurationInstruments>
</CsDurationInstruments>

<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in FTS)
</CsPitchBendGlides>


<CsInstrumentToPlay>

AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length

</CsInstrumentToPlay>
<CsInstruments>

instr 1

; This plays function table 1 with rise and decay

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5
ifrequency  = p5

irise = p6
idecaypercent = p7

idecay = iduration*idecaypercent/100

kenvelope  linen iamplitude, irise, iduration, idecay

audio pluck kenvelope,  kfrequency,   ifrequency ,  1, 3, 1 ; function table, pluck method 3, parameter 0 = plucked string effect
   out audio
endin
</CsInstruments>
</CsoundSynthesizer>
