<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsScore>



</CsScore>

<CsInstrumentToPlay>


AMP CPS 23 21  0.1 50.0 ; n - must be odd, m - must be odd,  rise in seconds,  decay percentage


</CsInstrumentToPlay>

<CsPitchBendGlides>
*
</CsPitchBendGlides>

<CsInstruments>

instr 1

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5


ipower = p6
ipower2 = p7
irise  = p8
idecaypercent = p9

asamples init 0
atime=asamples/sr
asamples = asamples+1

idecay = iduration*idecaypercent/100
kenv linen iamplitude, irise, iduration, idecay

apos=(kfrequency*atime)%1.0 ; range 0 to 1

ax=apos*2-1; range -1 to 1

a1 =kenv * (ax^ipower - ax^ipower2)

; x^n - x^m has max value at nx^n-1 == mx^m-1
; so at x^(n-m) = m/n
; and value is
; (m/n - 1) * (m/n)^ (m/(n-m))

imm = ipower
inn = ipower2
imult = (imm/inn - 1) * exp( (imm/(inn - imm) ) * log(imm/inn) )
   out a1*1/imult
endin


</CsInstruments>

<csGlobals>
ksmps = 1 ; Set the control rate to the audio rate. Modern computers are fast enough to control at audio rate
; This is needed to generate the sine curve at audio rate directly. When this instrument is used
; all the instruments in the orchestra will control at audio rate. Preset is 1/10th of audio rate.
</csGlobals>

</CsoundSynthesizer>
